<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$file = "production.php";
$maindb = "production";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`voucher` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`batchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.`name` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND c.`name` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`voucher` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`batchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY a.`voucher`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`voucher`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`batchno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY c.`name`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


$query = "SELECT a.`vouchno`, a.`voucher`, a.`godown`, a.`batchno`, a.`product`, a.`vouchdt`, b.`code`,b.`name` as product,c.`code`,c.`name` as     godown FROM `$maindb` a,
          `finprod` b, `godown` c  WHERE a.product = b.code and a.godown = c.code  $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'voucher' => $r['voucher'],
        'batchno' => $r['batchno'],
        'vouchdt' => $r['vouchdt'],
        'product' => $r['product'],
        'godown' => $r['godown'],
        'action' => "$file?mode=edit&vouchno=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
